package cn.ibizlab.api.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[SysAppMenuItemDTO]
 */
@Data
public class SysAppMenuItemDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [SYS_PSAPPMENUITEMID]
     *
     */
    @JSONField(name = "appmenuitemid")
    @JsonProperty("appmenuitemid")
    private String appmenuitemid;

    /**
     * 属性 [SYS_PSAPPMENUITEMNAME]
     *
     */
    @JSONField(name = "appmenuitemname")
    @JsonProperty("appmenuitemname")
    private String appmenuitemname;

    /**
     * 属性 [PSAPPID]
     *
     */
    @JSONField(name = "appid")
    @JsonProperty("appid")
    private String appid;

    /**
     * 属性 [PSAPPNAME]
     *
     */
    @JSONField(name = "appname")
    @JsonProperty("appname")
    private String appname;

    /**
     * 属性 [PSAPPMENUID]
     *
     */
    @JSONField(name = "appmenuid")
    @JsonProperty("appmenuid")
    private String appmenuid;

    /**
     * 属性 [PSAPPMENUNAME]
     *
     */
    @JSONField(name = "appmenuname")
    @JsonProperty("appmenuname")
    private String appmenuname;

    /**
     * 属性 [PSAPPMENUITEMID]
     *
     */
    @JSONField(name = "menuitemid")
    @JsonProperty("menuitemid")
    private String menuitemid;

    /**
     * 属性 [PSAPPPMENUITEMID]
     *
     */
    @JSONField(name = "parentmenuitemid")
    @JsonProperty("parentmenuitemid")
    private String parentmenuitemid;

    /**
     * 属性 [PSSYSTEMID]
     *
     */
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;


    /**
     * 设置 [SYS_PSAPPMENUITEMNAME]
     */
    public void setAppmenuitemname(String  appmenuitemname){
        this.appmenuitemname = appmenuitemname ;
        this.modify("sys_psappmenuitemname",appmenuitemname);
    }

    /**
     * 设置 [PSAPPID]
     */
    public void setAppid(String  appid){
        this.appid = appid ;
        this.modify("psappid",appid);
    }

    /**
     * 设置 [PSAPPNAME]
     */
    public void setAppname(String  appname){
        this.appname = appname ;
        this.modify("psappname",appname);
    }

    /**
     * 设置 [PSAPPMENUID]
     */
    public void setAppmenuid(String  appmenuid){
        this.appmenuid = appmenuid ;
        this.modify("psappmenuid",appmenuid);
    }

    /**
     * 设置 [PSAPPMENUNAME]
     */
    public void setAppmenuname(String  appmenuname){
        this.appmenuname = appmenuname ;
        this.modify("psappmenuname",appmenuname);
    }

    /**
     * 设置 [PSAPPMENUITEMID]
     */
    public void setMenuitemid(String  menuitemid){
        this.menuitemid = menuitemid ;
        this.modify("psappmenuitemid",menuitemid);
    }

    /**
     * 设置 [PSAPPPMENUITEMID]
     */
    public void setParentmenuitemid(String  parentmenuitemid){
        this.parentmenuitemid = parentmenuitemid ;
        this.modify("psapppmenuitemid",parentmenuitemid);
    }

    /**
     * 设置 [PSSYSTEMID]
     */
    public void setPssystemid(String  pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }


}

