package cn.ibizlab.api.dto;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.math.BigInteger;
import java.util.Map;
import java.util.HashMap;
import java.io.Serializable;
import java.math.BigDecimal;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.alibaba.fastjson.annotation.JSONField;
import cn.ibizlab.util.domain.DTOBase;
import lombok.Data;

/**
 * 服务DTO对象[SysOperatorPrivDTO]
 */
@Data
public class SysOperatorPrivDTO extends DTOBase implements Serializable {

	private static final long serialVersionUID = 1L;

    /**
     * 属性 [SYS_PSDEOPPRIVID]
     *
     */
    @JSONField(name = "operatorprivid")
    @JsonProperty("operatorprivid")
    private String operatorprivid;

    /**
     * 属性 [SYS_PSDEOPPRIVNAME]
     *
     */
    @JSONField(name = "operatorprivname")
    @JsonProperty("operatorprivname")
    private String operatorprivname;

    /**
     * 属性 [PSDATAENTITYID]
     *
     */
    @JSONField(name = "entityid")
    @JsonProperty("entityid")
    private String entityid;

    /**
     * 属性 [PSDATAENTITYNAME]
     *
     */
    @JSONField(name = "entityname")
    @JsonProperty("entityname")
    private String entityname;

    /**
     * 属性 [PSDEDATARANGEID]
     *
     */
    @JSONField(name = "rangeid")
    @JsonProperty("rangeid")
    private String rangeid;

    /**
     * 属性 [PSDEDATARANGENAME]
     *
     */
    @JSONField(name = "rangename")
    @JsonProperty("rangename")
    private String rangename;

    /**
     * 属性 [PSSYSMODULEID]
     *
     */
    @JSONField(name = "moduleid")
    @JsonProperty("moduleid")
    private String moduleid;

    /**
     * 属性 [PSSYSMODULENAME]
     *
     */
    @JSONField(name = "modulename")
    @JsonProperty("modulename")
    private String modulename;

    /**
     * 属性 [PSSOURCETYPE]
     *
     */
    @JSONField(name = "sourcetype")
    @JsonProperty("sourcetype")
    private String sourcetype;

    /**
     * 属性 [PSSOURCEID]
     *
     */
    @JSONField(name = "sourceid")
    @JsonProperty("sourceid")
    private String sourceid;

    /**
     * 属性 [PSSOURCENAME]
     *
     */
    @JSONField(name = "sourcename")
    @JsonProperty("sourcename")
    private String sourcename;

    /**
     * 属性 [PSSYSTEMID]
     *
     */
    @JSONField(name = "pssystemid")
    @JsonProperty("pssystemid")
    private String pssystemid;

    /**
     * 属性 [CREATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "createdate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("createdate")
    private Timestamp createdate;

    /**
     * 属性 [UPDATEDATE]
     *
     */
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss", locale = "zh" , timezone="GMT+8")
    @JSONField(name = "updatedate" , format="yyyy-MM-dd HH:mm:ss")
    @JsonProperty("updatedate")
    private Timestamp updatedate;


    /**
     * 设置 [SYS_PSDEOPPRIVNAME]
     */
    public void setOperatorprivname(String  operatorprivname){
        this.operatorprivname = operatorprivname ;
        this.modify("sys_psdeopprivname",operatorprivname);
    }

    /**
     * 设置 [PSDATAENTITYID]
     */
    public void setEntityid(String  entityid){
        this.entityid = entityid ;
        this.modify("psdataentityid",entityid);
    }

    /**
     * 设置 [PSDATAENTITYNAME]
     */
    public void setEntityname(String  entityname){
        this.entityname = entityname ;
        this.modify("psdataentityname",entityname);
    }

    /**
     * 设置 [PSDEDATARANGEID]
     */
    public void setRangeid(String  rangeid){
        this.rangeid = rangeid ;
        this.modify("psdedatarangeid",rangeid);
    }

    /**
     * 设置 [PSDEDATARANGENAME]
     */
    public void setRangename(String  rangename){
        this.rangename = rangename ;
        this.modify("psdedatarangename",rangename);
    }

    /**
     * 设置 [PSSYSMODULEID]
     */
    public void setModuleid(String  moduleid){
        this.moduleid = moduleid ;
        this.modify("pssysmoduleid",moduleid);
    }

    /**
     * 设置 [PSSYSMODULENAME]
     */
    public void setModulename(String  modulename){
        this.modulename = modulename ;
        this.modify("pssysmodulename",modulename);
    }

    /**
     * 设置 [PSSOURCETYPE]
     */
    public void setSourcetype(String  sourcetype){
        this.sourcetype = sourcetype ;
        this.modify("pssourcetype",sourcetype);
    }

    /**
     * 设置 [PSSOURCEID]
     */
    public void setSourceid(String  sourceid){
        this.sourceid = sourceid ;
        this.modify("pssourceid",sourceid);
    }

    /**
     * 设置 [PSSOURCENAME]
     */
    public void setSourcename(String  sourcename){
        this.sourcename = sourcename ;
        this.modify("pssourcename",sourcename);
    }

    /**
     * 设置 [PSSYSTEMID]
     */
    public void setPssystemid(String  pssystemid){
        this.pssystemid = pssystemid ;
        this.modify("pssystemid",pssystemid);
    }


}

